<?php
	include substr(dirname(__FILE__),0,-11).'/include/common.inc.php';
	if(!$install['yp'])
	{
		show404('该模块已被管理员禁用!');
	}

	if(!$install['member'])
	{
		show404('该模块需要先安装会员模块!');
	}
	include_once DIRCMS_ROOT.'yp/data/config.inc.php';

	$YP=$M=array();
	$siteid=1;
	@define('SITEID',1);
	$yplang=array();
	$langdir=$childsite['site_dir']?$childsite['site_dir']:'zh-cn';
	$langfile=DIRCMS_ROOT.'yp/data/lang/'.$langdir.'/lang.inc.php';
	if(!file_exists($langfile))
	{
		$langfile=DIRCMS_ROOT.'yp/data/lang/zh-cn/lang.inc.php';
	}
	include $langfile;

	include_once DIRCMS_ROOT.'yp/include/yp.class.php';
	$yp=new yp();

	include_once DIRCMS_ROOT.'yp/include/global.func.php';

	include_once DIRCMS_ROOT.'member/include/member.class.php';
	$member= new member();

	$u=isset($u)?preg_replace('/[^a-z0-9_]/i','',$u):'';
	session_start();
?>